<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_61a5ceb347019e" . "37116d4d2907163" . "b82" => base64_decode("bWF0Y2hf" . "YWxs"), "_df945ac2fbdd1576202fb4" . "8096eb43f9" => base64_decode("YWRtaW4ucGFuZWxzX2xpc" . "3Q="), "per" . "ms" => base64_decode("cGVybX" . "M="), "_c61345ccedc39c1977427766275e" . "2da6" => base64_decode("aW1hZ2VfZ2FsbGVyeQ" . "=="));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchGallery implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\GalleryIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_df945ac2fbdd1" . "576202fb48096e" . "b43f9"]}->GetOne($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_c61345ccedc39c197742" . "7766275e2da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["pe" . "rm" . "s"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_61a5ceb347019e37116d4d2" . "907163b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\GalleryView();
    }
}